## Name

RENAME — Change file name

## Synopsis

`rename` `path` `new name`

## Description

Gives the mass storage file specified in the pathlist a new name. The user must have write permission for the file to change its name. It is not possible to change the names of devices, `.`, or `..`

## Examples

rename blue purple
rename /D3/user9/test temp

    OS9: dir

       Directory of .  16:22:53
    myfile          animals

    OS9:rename animals cars
    OS9:dir

       Directory of .  16:23:22
    myfile          cars